Package name
wireshark
Date
2006-08-25
Advisory ID
MDKSA-2006:152
Affected versions
2006.0 i586 , 2006.0 x86_64

Problem description

Vulnerabilities in the SCSI, DHCP, and SSCOP dissectors were discovered
in versions of wireshark less than 0.99.3, as well as an off-by-one
error in the IPsec ESP preference parser if compiled with ESP
decryption support.

This updated provides wireshark 0.99.3a which is not vulnerable to
these issues.

Updated packages

2006.0 i586

 1f1b6dde31ccffecec0becac8030d9de  2006.0/RPMS/libwireshark0-0.99.3a-0.1.20060mdk.i586.rpm
 cb9cdd31a4c90304c914321ab3dfd2a4  2006.0/RPMS/tshark-0.99.3a-0.1.20060mdk.i586.rpm
 8e74c5353478976f0ee6d71e3b46e86a  2006.0/RPMS/wireshark-0.99.3a-0.1.20060mdk.i586.rpm
 2e67c0eb582071bd8c2e54aca4f62ba2  2006.0/RPMS/wireshark-tools-0.99.3a-0.1.20060mdk.i586.rpm
 6eec092b55f355784be22b3d882d3dd0  2006.0/SRPMS/wireshark-0.99.3a-0.1.20060mdk.src.rpm

2006.0 x86_64

 37fa691ba28677df6151fea044cf8bab  x86_64/2006.0/RPMS/lib64wireshark0-0.99.3a-0.1.20060mdk.x86_64.rpm
 589494b9575fff2893a18e512bf16111  x86_64/2006.0/RPMS/tshark-0.99.3a-0.1.20060mdk.x86_64.rpm
 2985ec930be990b4112fa43b126b5b2c  x86_64/2006.0/RPMS/wireshark-0.99.3a-0.1.20060mdk.x86_64.rpm
 29698141534040ce6b1dbb9cd9b3f995  x86_64/2006.0/RPMS/wireshark-tools-0.99.3a-0.1.20060mdk.x86_64.rpm
 6eec092b55f355784be22b3d882d3dd0  x86_64/2006.0/SRPMS/wireshark-0.99.3a-0.1.20060mdk.src.rpm

References